<template>
    <v-layout row wrap v-if="!examen.is_curva">
        <v-flex class="mb-2">
            <v-card class="mx-auto">
                <v-card-title class="cart-rewrite text-xs-center">
                    <h2 class="subtitle">{{ examen.nombre }}</h2>
                </v-card-title>
                <v-card-text>
                    <examen-header v-bind:examen="examen" />
                    <examen-body v-bind:resultados="examen.resultados.data" />
                    <examen-notas v-bind:notas="examen.nota" />
                    <examen-firmas v-bind:firmas="examen.validations"></examen-firmas>
                </v-card-text>
            </v-card>
        </v-flex>
    </v-layout>
</template>

<script>
import ExamenHeader from './ExamenHeader'
import ExamenBody from './ExamenBody'
import ExamenNotas from './ExamenNotas'
import ExamenFirmas from './ExamenFirmas'

export default {
    name: 'Examen',
    components: {
        ExamenHeader,
        ExamenBody,
        ExamenNotas,
        ExamenFirmas,
    },
    props: ['examen']
}
</script>

<style>
.cart-rewrite {
    background-color: #55C2E2;
}

.subtitle {
    display: inline;
    color: white;
}
</style>
